Bug 455848 - (CVE-2008-2935) CVE-2008-2935 libxslt: buffer overflow in libexslt RC4 encryption/decryption functions
CVE-2008-2935 libxslt: buffer overflow in libexslt RC4 encryption/decryption ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=ocert,reported=20080710,public...
: Security
Depends On: 456230 456231 456232 456233 833936
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-18 05:56 EDT by Tomas Hoger
Modified: 2012-06-20 10:22 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-08 02:46:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch (4.79 KB, patch)
2008-07-18 05:57 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2008-07-18 05:56:25 EDT
oCERT reported a libxslt vulnerability discovered by Chris Evans of the Google
Security Team:

The libexslt library bundled with libxslt is affected by a heap-based buffer
overflow which can lead to arbitrary code execution.

The vulnerability is present in the rc4 encryption/decryption functions. An
arbitrary length string, passed as an argument in the XSL input, is incorrectly
copied over a padding variable which is previously allocated with a fixed size
of 128bit (RC4_KEY_LENGTH).

Affected version: libxslt >= 1.1.8, <= 1.1.24

Acknowledgements:

Red Hat would like to thank Chris Evans and oCERT for reporting this vulnerability.
Comment 1 Tomas Hoger 2008-07-18 05:57:48 EDT
Created attachment 312112 [details]
Upstream patch
Comment 7 Josh Bressers 2008-07-31 11:06:01 EDT
This is now public:
http://www.ocert.org/advisories/ocert-2008-009.html
Comment 8 Fedora Update System 2008-08-07 19:51:44 EDT
libxslt-1.1.24-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-08-07 19:53:46 EDT
libxslt-1.1.24-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.